php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #4728 Apache reports a syntax error on "LoadModule php4_module"
Submitted: 2000-05-31 15:46 UTC Modified: 2000-07-04 22:00 UTC
From: ilya at vtrails dot com Assigned:
Status: Closed Package: Dynamic loading
PHP Version: 4.0.0 Release OS: Linux 2.2.14 i686
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: ilya at vtrails dot com
New email:
PHP Version: OS:

 

 [2000-05-31 15:46 UTC] ilya at vtrails dot com
Installation using apxs:
./configure --with-apxs=/usr/local/apache2/bin/apxs --with-sybase=/opt/sybase --disable-debug
make
make install

and than 
/usr/local/apache2/bin/apachectl configtest
produces:

[webmaster@segfault conf]# /usr/local/apache2/bin/apachectl configtest
[webmaster@segfault conf]# echo $status
8

and when I replace 
LoadModule php4_module        libexec/libphp4.so
AddModule mod_php4.c

back with

LoadModule php3_module        libexec/libphp3.so
AddModule mod_php3.c

there 's no syntax error.

Apache info:

[webmaster@segfault bin]# ./httpd -v
Server version: Apache/1.3.12 (Unix)
Server built:   Apr  6 2000 19:13:10
[webmaster@segfault bin]# ./httpd -l
Compiled-in modules:
  http_core.c
  mod_so.c

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-06-19 18:37 UTC] ilya at vtrails dot com
oh, and by the way - the httpd itself segfaults.
 [2000-06-19 18:45 UTC] rasmus at cvs dot php dot net
You are not providing any information that is of any use at all here.  You say you get a syntax error, but you don't show that syntax error.
Syntax errors are most often related to the fact that the Apache directive syntax has changed.
Please read: http://www.php.net/version4/migration.php

Your core dump is a separate issue and without more info we can't possible 
help you with that one.
 [2000-06-19 19:07 UTC] ilya at vtrails dot com
You've seen the result of running apachectl with configtest.
If I try to run "apachectl start" it says it has a Syntax Error, but doesn't say what kind of error.

If the syntax has changed, your script should update the config file correctly (but it didn't change. I checked both this issue and migration docs).

Anyway, what happens is:
when I tried to use smart scripts that are supposed to install PHP4 for me and restart apache for me, I got syntax errors etc.
when (after two weeks or so) I tried to run httpd's binary, it segfaulted.
So I guess there are two problems - one with apache script that fails to detect segmentation fault,
and the second is with PHP4. 

The log of PHP4 installation process and configure directive are shown here. Maybe you need the core dump? I can send one to php-dev if you want... 

In brief, when httpd tries to perform LoadModule php4_module libexec/libphp4.so, it segfaults.
 [2000-07-04 22:00 UTC] rasmus at cvs dot php dot net
Sybase-related, resubmit with a gdb backtrace if you are still getting the problem.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Aug 10 03:01:25 2020 UTC